Subject: RE: [IPTEL] rfc2806bis-05 comments: parameters and telephone-subs criber

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 2 Oct 2002 08:53:48 -0400

FWIW we went through this with Megaco ABNF.  I asked around
a lot.  All I ever got was these two, and we went with
option 1, although we usually used a syntax like:

mumble = foo *(SPACE foo)
foo = A | B | C ; at most once

Brian

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Tuesday, October 01, 2002 9:59 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [IPTEL] rfc2806bis-05 comments: parameters and
> telephone-subscriber
> 
> 
> Digging through old mail...
> 
> You raise a good point. Unfortunately, there doesn't seem to be a 
> concise way to say in RFC 2234 notation "elements A, B, and C in any 
> order, with each appearing no more than once". There are two 
> alternatives that I can see:
> 
> - 1st option -
> 
> *([A] [B] [C])
> 
> with the constraint of 'at most once' expressed outside the 
> BNF. This is 
> how SIP and other protocols with similar 
> at-most-once/any-order syntax 
> handle this.
> 
> - 2nd option -
> 
> [A] [B] [C] / [A] [C] [B] / [B] [A] [C] / [B] [C] [A] / etc.
> 
> Clearly, the latter gets tedious very quickly.
> 
> For now, I will pick the 1st option, but clever alternatives are 
> appreciated.
> 
> Brett Tate wrote:
> > rfc2806bis-05 BNF describes an explicit ordering 
> > of the parameters in regards to isdn-subaddress, 
> > context, and param.  If this explicit ordering 
> > was not intended, the BNF should be changed or 
> > explicit text should be added to indicate that 
> > the above parameters are not required to be
> > in an explicit order.
> > 
> > Adding back a telephone-subscriber definition 
> > might help accommodate the above.  It would also 
> > help in correlating rfc3261's telephone-subscriber 
> > reference to rfc2806bis.
> > 
> > -brett
> > 
> > _______________________________________________
> > IPTEL mailing list
> > [email-masked]
> > http://lists.bell-labs.com/mailman/listinfo/iptel
> 
> _______________________________________________
> IPTEL mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/iptel
> 
_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel